class Termek{
    constructor(nev, ar, darabszam){
        this.nev = nev;
        this.ar = ar;
        this.darabszam = darabszam;
    }

    toString(){
        return `${this.nev} termék ${this.ar} Ft-ba kerül és ${this.darabszam} db termék elérhető`;
    }
}

class Raktar{
    static termekLista = [];
    
    constructor(termekLista){
        Raktar.termekLista = termekLista;
    }

    termekHozzaad(ujtermek){
        Raktar.termekLista.push(ujtermek);
    }

    termekTorles(nev){
        removeItem(Raktar.termekLista, nev);
    }

    termekKeres(nev){
        termekLista.forEach(element => {
            if (element.nev == nev){
                return element;
            }
        });
        return new Termek("NULLTERMEK",0,0);
    }

    osszesTermekListaz(){
        Raktar.termekLista.forEach(element => {
            
        });
    }
}



function removeItem(array, itemToRemove) {
    let index = array.indexOf(itemToRemove);

    let newArr = index !== -1 ? 
        [...array.slice(0, index), ...array.slice(index + 1)] : fruits;
    
    return newArr;
}